{% extends "templates/page.njk" %}
{% from 'packages/components/button/macro.njk' import button %}

{% block pageContent %}
    <script nonce="{{ scriptNonce }}">
        {% if measureAnalytics %}
            NHSCookieConsent.setConsented(true);
            NHSCookieConsent.setStatistics(true);
        {% else %}
            NHSCookieConsent.setConsented(true);
            NHSCookieConsent.setStatistics(false);
            // set the cookie which detects if the cookie enabler page is to be shown
            // it would have been deleted by the nhs-cookie consent js
            document.cookie = "isBrowserCookieEnabled=true";
        {% endif %}
    </script>
   
    <h1 class="nhsuk-heading-l">{{ heading }}</h1>
    <p>{{ paragraphOne }}</p>
    <p>{{ paragraphTwo }}</p>
    <ul>
        <li>{{ listItemOne }}</li>
        <li>{{ listItemTwo }}</li>
    </ul>
    <p>
        {{ paragraphThreeFirstHalf }}
        <a id="choose-which-cookies-link" href="{{ contextPath }}/choose-cookies">{{ linkContent }}</a>
        {{ paragraphThreeSecondHalf }}
    </p>
    
    <p>{{ paragraphFour }}</p>

    {{ button({
        text: buttonText,
        href: "start",
        attributes: {
            id: 'continue-button'
        }
    }) }}
{% endblock %}
